Index: HelenOS.config
===================================================================
--- HelenOS.config	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ HelenOS.config	(revision cd9531d34884815bb5a45a838a141d5a67879468)
@@ -229,9 +229,5 @@
 % User space architecture
 @ "mips32"
-! [PLATFORM=mips32&(MACHINE=msim|MACHINE=lmalta)] UARCH (choice)
-
-% User space architecture
-@ "mips32eb"
-! [PLATFORM=mips32&MACHINE=bmalta] UARCH (choice)
+! [PLATFORM=mips32] UARCH (choice)
 
 % User space architecture
Index: uspace/lib/c/arch/mips32/Makefile.common
===================================================================
--- uspace/lib/c/arch/mips32/Makefile.common	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ uspace/lib/c/arch/mips32/Makefile.common	(revision cd9531d34884815bb5a45a838a141d5a67879468)
@@ -31,13 +31,16 @@
 LDFLAGS += -Wl,--gc-sections
 
-ENDIANESS = LE
-
-
 ifeq ($(MACHINE),msim)
+	ENDIANESS = LE
 	COMMON_CFLAGS += -march=r4000
 endif
 
 ifeq ($(MACHINE),lmalta)
+	ENDIANESS = LE
 	COMMON_CFLAGS += -march=4kc
 endif
 
+ifeq ($(MACHINE),bmalta)
+	ENDIANESS = BE
+	COMMON_CFLAGS += -march=4kc
+endif
Index: pace/lib/c/arch/mips32eb/Makefile.common
===================================================================
--- uspace/lib/c/arch/mips32eb/Makefile.common	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,39 +1,0 @@
-#
-# Copyright (c) 2005 Martin Decky
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-#
-# - Redistributions of source code must retain the above copyright
-#   notice, this list of conditions and the following disclaimer.
-# - Redistributions in binary form must reproduce the above copyright
-#   notice, this list of conditions and the following disclaimer in the
-#   documentation and/or other materials provided with the distribution.
-# - The name of the author may not be used to endorse or promote products
-#   derived from this software without specific prior written permission.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
-# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
-# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
-# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
-# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
-# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
-# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
-# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
-# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-
-COMMON_CFLAGS += -msoft-float -mabi=32
-AS_PROLOG = .module softfloat;.abicalls;
-LDFLAGS += -Wl,--gc-sections
-
-ENDIANESS = BE
-
-
-ifeq ($(MACHINE),bmalta)
-	COMMON_CFLAGS += -march=4kc
-endif
-
Index: pace/lib/c/arch/mips32eb/Makefile.inc
===================================================================
--- uspace/lib/c/arch/mips32eb/Makefile.inc	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,39 +1,0 @@
-#
-# Copyright (c) 2005 Martin Decky
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-#
-# - Redistributions of source code must retain the above copyright
-#   notice, this list of conditions and the following disclaimer.
-# - Redistributions in binary form must reproduce the above copyright
-#   notice, this list of conditions and the following disclaimer in the
-#   documentation and/or other materials provided with the distribution.
-# - The name of the author may not be used to endorse or promote products
-#   derived from this software without specific prior written permission.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
-# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
-# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
-# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
-# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
-# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
-# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
-# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
-# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-
-ARCH_SOURCES = \
-	arch/$(UARCH)/src/entryjmp.S \
-	arch/$(UARCH)/src/thread_entry.S \
-	arch/$(UARCH)/src/syscall.c \
-	arch/$(UARCH)/src/fibril.S \
-	arch/$(UARCH)/src/tls.c \
-	arch/$(UARCH)/src/stacktrace.c \
-	arch/$(UARCH)/src/stacktrace_asm.S
-
-ARCH_AUTOCHECK_HEADERS = \
-	arch/$(UARCH)/include/libarch/fibril_context.h
Index: pace/lib/c/arch/mips32eb/include/libarch/config.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/config.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/config.h
Index: pace/lib/c/arch/mips32eb/include/libarch/cp0.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/cp0.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/cp0.h
Index: pace/lib/c/arch/mips32eb/include/libarch/ddi.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/ddi.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/ddi.h
Index: pace/lib/c/arch/mips32eb/include/libarch/elf_linux.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/elf_linux.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/elf_linux.h
Index: pace/lib/c/arch/mips32eb/include/libarch/faddr.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/faddr.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/faddr.h
Index: pace/lib/c/arch/mips32eb/include/libarch/fibril.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/fibril.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/fibril.h
Index: pace/lib/c/arch/mips32eb/include/libarch/fibril_context.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/fibril_context.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/fibril_context.h
Index: pace/lib/c/arch/mips32eb/include/libarch/istate.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/istate.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/istate.h
Index: pace/lib/c/arch/mips32eb/include/libarch/istate_struct.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/istate_struct.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/istate_struct.h
Index: pace/lib/c/arch/mips32eb/include/libarch/regname.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/regname.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/regname.h
Index: pace/lib/c/arch/mips32eb/include/libarch/stack.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/stack.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/stack.h
Index: pace/lib/c/arch/mips32eb/include/libarch/syscall.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/syscall.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/syscall.h
Index: pace/lib/c/arch/mips32eb/include/libarch/thread.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/thread.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/thread.h
Index: pace/lib/c/arch/mips32eb/include/libarch/tls.h
===================================================================
--- uspace/lib/c/arch/mips32eb/include/libarch/tls.h	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../../mips32/include/libarch/tls.h
Index: pace/lib/c/arch/mips32eb/src
===================================================================
--- uspace/lib/c/arch/mips32eb/src	(revision 687108b4a1c947a40607394ea693f7863b0585c6)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../mips32/src
